#ifndef EIGEN_H
#define EIGEN_H

#define BLOCK_SIZE 256

/*  eigen     .
   a    n x n, b  n, y  n.
   x -    , ,
   y -  .
   n  BLOCK_SIZE.
*/
void eigen(int n, const float * a, float * x, float * y);

/*  , a, x, y -    ,
y_host -   .
*/
void eigen_gpu(int n, const float * a, float * x, float * y, float * y_host);

#endif
